Subject: Re: linux-next: manual merge of the fuse tree with the mm-unstable tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 3 Jun 2025 09:02:26 +1000

Hi all,

On Wed, 14 May 2025 10:53:13 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the fuse tree got a conflict in:
> 
>   fs/fuse/file.c
> 
> between commit:
> 
>   04a1473f8ff0 ("fuse: drop usage of folio_index")
> 
> from the mm-unstable tree and commits:
> 
>   0c58a97f919c ("fuse: remove tmp folio for writebacks and internal rb tree")
>   3a7d67252c63 ("fuse: support large folios for writeback")
> 
> from the fuse tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> 
> diff --cc fs/fuse/file.c
> index 6f19a4daa559,b27cdbd4bffe..000000000000
> --- a/fs/fuse/file.c
> +++ b/fs/fuse/file.c
> @@@ -2349,7 -2145,7 +2145,7 @@@ static bool fuse_writepage_need_send(st
>   		return true;
>   
>   	/* Discontinuity */
> - 	if (data->orig_folios[ap->num_folios - 1]->index + 1 != folio->index)
>  -	if (folio_next_index(ap->folios[ap->num_folios - 1]) != folio_index(folio))
> ++	if (folio_next_index(ap->folios[ap->num_folios - 1]) != folio->index)
>   		return true;
>   
>   	/* Need to grow the pages array?  If so, did the expansion fail? */

This is now a conflict between the fuse tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell